summaryrefslogtreecommitdiff
path: root/mk
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2026-09-14 12:22:29 +0100
committerLeah Rowe <leah@libreboot.org>2026-09-14 12:25:35 +0100
commitcd52750fec586e5cf8668ba592590fea2cc72f5d (patch)
treeb1a97f6ee4080f544a192896f31c68d94d37bf1c /mk
parentf115bdfe374f950c724001b0e40824f3d9798827 (diff)
mk: further simplify err()
yes, just awk everything, double-quoted Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'mk')
-rwxr-xr-xmk7
1 files changed, 2 insertions, 5 deletions
diff --git a/mk b/mk
index 0e31206b..76a94680 100755
--- a/mk
+++ b/mk
@@ -30,16 +30,13 @@ findpath()
x_()
{
- [ $# -lt 1 ] || "$@" || \
- err "Unhandled error" "x_" "$@"; :
+ [ $# -lt 1 ] || "$@" || err "Unhandled error" "x_" "$@"; :
}
err()
{
- printf "ERROR %s: %s: " "${0-}" "${1-}" 1>&2
- shift 1 2>/dev/null || :
printf '%s\n' "$@" | awk '{printf "\"%s\" ", $0}'
- printf "\n"
+ printf "ERROR!\n"
exit 1
}